Project

General

Profile

Tâche #12470

Scénario #12392: Valider et publier les scripts de migrations vers EOLE 2.4.2

Upgrade_Auto 2.4.1->2.4.2 impossible de choisir le choix 1

Added by Daniel Dehennin over 5 years ago. Updated over 5 years ago.

Status:
Fermé
Priority:
Normal
Assigned To:
Start date:
02/19/2015
Due date:
% Done:

100%

Estimated time:
1.00 h
Spent time:
Remaining (hours):
0.0

Description

Un test d’Upgrade-Auto de 2.4.1 vers 2.4.2 montre

root@scribe:~# Upgrade-Auto
Version de la 2.4
1: 2.4.2
[1] : 1
Réponse invalide : 1

Related issues

Copied from Distribution EOLE - Tâche #10678: Upgrade_Auto 2.4.0 vers 2.4.1 : corriger le test sur le choice :root@scribe:~# Upgrade-Auto Version de la 2.4 :1: 2.4.1[1] : 1Réponse invalide : 1 Fermé 02/19/2015

Associated revisions

Revision 30acfcb1 (diff)
Added by Daniel Dehennin over 5 years ago

Upgrade-Auto: choix de la release impossible

Il n’est pas possible de faire le choix « 1 » du fait d’un test qui
vérifie si le choix fait parti d’un « xrange(2,3) ».

Le traitement de l’index doit être rattaché à la taille du tableau de
choix et non à son contenu.

  • bin/Upgrade-Auto (main): Affichage des releases en ordre inverse, la
    plus récente en premier.
    Vérifier que l’index est compris entre 1 et le nombre de choix.

Ref: #12470 @30m

Revision 22fb61c1 (diff)
Added by Daniel Dehennin over 5 years ago

Upgrade-Auto: conflit de nom

La variable « release » écrase la déclaration de la fonction importée
« pyeole.lock.release() ».

  • bin/Upgrade-Auto (main): Changement du nom de la variable portant la
    release.

Ref: #12470 @5m

History

#1 Updated by Daniel Dehennin over 5 years ago

  • Project changed from Distribution EOLE to creole
  • Assigned To set to Daniel Dehennin
  • Remaining (hours) changed from 0.0 to 1.0

#2 Updated by Scrum Master over 5 years ago

  • Status changed from Nouveau to En cours

#3 Updated by Scrum Master over 5 years ago

  • Status changed from En cours to Résolu

#4 Updated by Daniel Dehennin over 5 years ago

  • Subject changed from Upgrade_Auto impossible de choisir le choix 1 to Upgrade_Auto 2.4.1->2.4.2 impossible de choisir le choix 1
  • % Done changed from 0 to 100
  • Remaining (hours) changed from 1.0 to 0.2

Fonctionne en 2.4.0.

#5 Updated by Joël Cuissinat over 5 years ago

  • Status changed from Résolu to Fermé
  • Remaining (hours) changed from 0.2 to 0.0

OK (on re-tombe sur #12471 !) :

Version de la 2.4 (q pour quitter) :
1: 2.4.2
[1] : 1
Mise à jour vers 2.4.2
Upgrade-Auto - 'module' object has no attribute '_configure_sources_eole'

Also available in: Atom PDF